## ejecter 0.3.1

=== wscript ===
--- 
+++ 
@@ -23,10 +23,10 @@
 #   
 # 
 
-import os, os.path
+import os, os.path, gnome
 
 # the following two variables are used by the target "waf dist"
-VERSION='0.2.1'
+VERSION='0.3.1'
 APPNAME='ejecter'
 
 # these variables are mandatory ('/' are converted automatically)
@@ -39,25 +39,22 @@
 
 def set_options(opt):
     opt.tool_options('compiler_cc')
+    opt.tool_options('gnu_dirs')
     opt.add_option('--debug', action = 'store_true', default = False, help = 'Enable debugging messages')
 
 
 def configure(conf):
     
-    conf.check_tool('compiler_cc cc vala intltool')
+    conf.check_tool('compiler_cc cc vala intltool gnu_dirs')
     
     conf.check_cfg(package='glib-2.0', uselib_store='GLIB', atleast_version='2.16.0', 
                    mandatory=1, args='--cflags --libs')
-    conf.check_cfg(package='gtk+-2.0', uselib_store='GTK', atleast_version='2.12.0', 
+    conf.check_cfg(package='gtk+-2.0', uselib_store='GTK', atleast_version='2.14.0', 
                    mandatory=1, args='--cflags --libs')
     conf.check_cfg(package='gio-2.0', uselib_store='GIO', mandatory=1, args='--cflags --libs')
-    conf.check_cfg(package='hal', uselib_store='HAL', mandatory=1, args='--cflags --libs')
-    conf.check_cfg(package='dbus-glib-1', uselib_store='DBUSGLIB', atleast_version='0.60', 
-                   mandatory=True, args='--cflags --libs')
-    conf.check_cfg(package='', msg='Checking for gtk+ version >= 2.14', args='"gtk+-2.0 >= 2.14.0"',
-                   errmsg='no', uselib_store='GTK214') 
+    conf.check_cfg(package='gdu', uselib_store='GDU', mandatory=1, args='--cflags --libs')
     
-    required_vala = (0, 3, 0)
+    required_vala = (0, 7, 0)
     conf.check_message_1("Checking for vala version >= %d.%d.%d" % required_vala)
     if conf.env['VALAC_VERSION'] >= required_vala:
         conf.check_message_2("ok (%d.%d.%d)" % conf.env['VALAC_VERSION'], "GREEN")
@@ -71,8 +68,9 @@
     conf.define('PACKAGE_NAME', APPNAME)
     conf.define('PACKAGE_VERSION', APPNAME + '-' + VERSION)
     conf.define('GETTEXT_PACKAGE', APPNAME)
-    conf.define('LOCALE_DIR', os.path.join(conf.env['PREFIX'], 'share', 'locale'))
-    conf.define('PIXMAPS_DIR', os.path.join(conf.env['PREFIX'], 'share', APPNAME, 'pixmaps'))
+    conf.define('LOCALE_DIR', conf.env['LOCALEDIR'])
+    conf.define('PIXMAPS_DIR', os.path.join(conf.env['DATADIR'], APPNAME, 'pixmaps'))
+    conf.define('ICONS_DIR', os.path.join(conf.env['DATADIR'], 'icons'))
     
     import Options
     conf.define('DEBUG', int(Options.options.debug))
@@ -90,6 +88,8 @@
 
     bld.add_subdirs('icons')
 
-    bld.install_files('${PREFIX}/share/' + APPNAME, 'COPYING')
+    bld.install_files(os.path.join('${DATADIR}', APPNAME), 'COPYING')
+    
+    bld.add_post_fun(lambda ctx: gnome.postinstall_icons())
