## ejecter 0.4.4

=== wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 # 
 #    Ejecter - Safely, easily remove external peripherals
-#    Copyright 2008-2009, Federico Pelloni <federico.pelloni@gmail.com>
+#    Copyright 2008-2011, Federico Pelloni <federico.pelloni@gmail.com>
 # 
 #    
 #    This file is part of Ejecter.
@@ -26,7 +26,7 @@
 import os, os.path, gnome
 
 # the following two variables are used by the target "waf dist"
-VERSION='0.3.1'
+VERSION='0.4.4'
 APPNAME='ejecter'
 
 # these variables are mandatory ('/' are converted automatically)
@@ -52,7 +52,9 @@
     conf.check_cfg(package='gtk+-2.0', uselib_store='GTK', atleast_version='2.14.0', 
                    mandatory=1, args='--cflags --libs')
     conf.check_cfg(package='gio-2.0', uselib_store='GIO', mandatory=1, args='--cflags --libs')
+    conf.check_cfg(package='libnotify', uselib_store='LIBNOTIFY', mandatory=1, args='--cflags --libs')
     conf.check_cfg(package='gdu', uselib_store='GDU', mandatory=1, args='--cflags --libs')
+    conf.check_cfg(package='appindicator-0.1', uselib_store='APPINDICATOR', mandatory=1, args='--cflags --libs')
     
     required_vala = (0, 7, 0)
     conf.check_message_1("Checking for vala version >= %d.%d.%d" % required_vala)
