=== debian/changelog ===
ejecter (0.4.4-0ubuntu2) oneiric; urgency=low

  * debian/source/format: Switch to 3.0 (quilt), so that we can apply patches.
  * Add libnotify7_API.patch: Port to libnotify 0.7 API.
  * debian/control: Move from valac-0.10 to valac.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Sep 2011 09:10:52 +0200

ejecter (0.4.4-0ubuntu1) natty; urgency=low

  * New bug-fixes-only upstream release.
  * debian/rules: remove icons installation workaround introduced in
    0.4.1-0ubuntu1.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 05 Mar 2011 19:10:46 +0100

ejecter (0.4.1-0ubuntu1) natty; urgency=low

  * New upstream release.
  * debian/control: add libappindicator-dev and libnotify-dev to Build-Depends
    field.
  * debian/control: replace valac with valac-0.10 in Build-Depends field.
  * debian/rules: call dh_icons in binary-arch target.
  * Update debian/copyright.
  * Bump Standards-Version to 3.9.1.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 27 Jan 2011 11:15:35 +0100

ejecter (0.3.1-0ubuntu3) lucid; urgency=low

  * Add python to Build-Depends.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 27 Feb 2010 20:34:45 +0100

ejecter (0.3.1-0ubuntu2) lucid; urgency=low

  * Use internal copy of waf.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 27 Feb 2010 15:16:26 +0100

ejecter (0.3.1-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #442468).
  * debian/control: remove libdbus-glib-1-dev from Build-Depends field.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 05 Oct 2009 15:18:23 +0200

ejecter (0.2.1+karmic-gdu-bzr68-0ubuntu1) karmic; urgency=low

  * New upstream bzr revision 68 from karmic-gdu branch (LP: #427312, #424256,
    #403143).
  * Drop quilt support.
  * debian/control: remove libhal-dev from Build-Depends field.
  * debian/control: add libgdu-dev to Build-Depends field.
  * Remove debian/patches/fix_vala_compatibility.diff patch, merged upstream.
  * Bump Standards-Version to 3.8.3.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 27 Sep 2009 13:34:45 +0200

ejecter (0.2.1+bzr51-0ubuntu2) karmic; urgency=low

  * Use waf Debian package instead of the provided binary to build the
    package.
  * Add quilt support.
  * Add fix_vala_compatibility.diff patch, fix FTBFS and some warnings caused
    by the new vala version uploaded in Ubuntu.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Fri, 31 Jul 2009 14:21:59 +0200

ejecter (0.2.1+bzr51-0ubuntu1) karmic; urgency=low

  * New upstream bzr revision 51.
  * Fix dh_desktop-is-deprecated lintian warning.
  * debian/copyright: replace deprecated symbol (C) with ©.
  * Bump Standards-Version to 3.8.2.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Wed, 22 Jul 2009 15:29:23 +0200

ejecter (0.2.1-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #331126).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Wed, 18 Feb 2009 19:09:24 +0100

ejecter (0.2.0-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #274782).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 18 Jan 2009 12:20:51 +0100
