=== debian/control ===
Source: ejecter
Section: utils
Priority: optional
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 6), valac, intltool, libgtk2.0-dev,
 libgdu-dev, python (>= 2.5), libappindicator-dev, libnotify-dev
Standards-Version: 3.9.1
Homepage: https://launchpad.net/ejecter

Package: ejecter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: application to unmount easily and safely external devices
 Ejecter is a simple menu that sits in the system notification area, providing
 you a quick way to unmount an external peripheral such as USB pendrive,
 CD/DVD disk, external hard disk and so.
 .
 Ejecter will sleep behind the scenes and show an icon in the system tray when
 one or more devices are connected to your computer.
