=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir

	./waf configure --prefix=/usr

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	./waf

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-rm .lock-wscript
	-rm -rf build
	-rm -rf .waf*

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	./waf --destdir=$(CURDIR)/debian/ejecter install
	dh_install debian/ejecter.desktop etc/xdg/autostart

	# Fix extra-license-file lintian warning:
	rm $(CURDIR)/debian/ejecter/usr/share/ejecter/COPYING

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman debian/ejecter.1
	dh_icons
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
