=== debian/watch ===
version=3
https://launchpad.net/ejecter/+download http://launchpad.net/ejecter/.*/ejecter-(.*)\.tar\.bz2
